%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		gtkspell
Version:	2.0.16
Release:	%mkrel 6

Summary:	Spell-checking addon for GTK's TextView widget
License:	GPLv2+
Group:		System/Libraries
Url:		http://gtkspell.sourceforge.net/
Source0:	http://gtkspell.sourceforge.net/download/%{name}-%{version}.tar.gz

BuildRequires:  docbook-dtd42-xml
BuildRequires:	enchant-devel
BuildRequires:  gnome-common
BuildRequires:	gtk+2-devel
BuildRequires:  gtk-doc
BuildRequires:  intltool gettext-devel

%description
GtkSpell provides MSWord/MacOSX-style highlighting of misspelled words in a
GtkTextView widget.  Right-clicking a misspelled word pops up a menu of
suggested replacements.  

%package -n %{libname}
Summary:	%{summary}
Group:		%{group}
Requires: %name >= %version

%description -n %{libname}
GtkSpell provides MSWord/MacOSX-style highlighting of misspelled words in a
GtkTextView widget.  Right-clicking a misspelled word pops up a menu of
suggested replacements.  

%package -n %{develname}
Summary:	%{summary}
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname gtkspell 0 -d}
Requires:	%{libname} = %{version}

%description -n %{develname}
GtkSpell provides MSWord/MacOSX-style highlighting of misspelled words in a
GtkTextView widget.  Right-clicking a misspelled word pops up a menu of
suggested replacements.  


%prep
%setup -q
#gw the gtk-doc 1.13 bug:
gnome-autogen.sh

%build
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang

%makeinstall_std

rm -f %{buildroot}/%{_libdir}/*.la

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{develname}
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.0.16-6.mga3
+ Revision: 352938
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 12 2012 gw666 <gw666> 2.0.16-5.mga3
+ Revision: 329881
- build depends on gettext-devel

* Sat Dec 01 2012 pterjan <pterjan> 2.0.16-4.mga3
+ Revision: 324440
- Fix license

* Wed Sep 21 2011 fwang <fwang> 2.0.16-3.mga2
+ Revision: 146276
- drop .la files

* Wed Jan 26 2011 jquelin <jquelin> 2.0.16-2.mga1
+ Revision: 40219
- remove mdv macros
- cleaning spec file
- imported package gtkspell

